CorebanqCorebanq Developer Docs
Customersv1Avatars

Get customer avatar

Handler: GetCustomerAvatar → uploads.SrvGetAvatar. Returns JSON AvatarResponse, not raw image bytes.

GET
/v1/customers/{id}/avatar

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token obtained from /v1/authenticate endpoint

In: header

Path Parameters

id*string

id path parameter

id*string

Customer UUID.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/avatar"
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "owner_id": "8826ee2e-7933-4665-aef2-2393f84a0d05",
  "avatar_type": "string",
  "upload_id": "f2ef591b-135b-46fa-a604-3d4fda5bfbfb",
  "content": "string",
  "metadata": {},
  "active": true
}
{
  "status": 400,
  "message": "Bad request"
}
{
  "status": 401,
  "message": "Unauthorized"
}
{
  "status": 403,
  "message": "Forbidden"
}
{
  "status": 404,
  "message": "Not found"
}
{
  "status": 500,
  "message": "Internal server error"
}